Validate whether one active runtime cycle can be closed.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/boards/example/cycles/example/close/validate"), Content = new StringContent("{ \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/cycles/example/close/validate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/boards/example/cycles/example/close/validate \ --header 'Content-Type: application/json' \ --data '{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Lifecycle mutation request for a runtime board cycle.
object
Optional optimistic concurrency token.
Examplegenerated
{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Lifecycle mutation request for a runtime board cycle.
object
Optional optimistic concurrency token.
Examplegenerated
{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Lifecycle mutation request for a runtime board cycle.
object
Optional optimistic concurrency token.
Examplegenerated
{ "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”OK
object
Close validation result for one active runtime cycle.
object
Runtime cycle detail.
object
Cycle id.
Owning board id.
Cycle name.
Optional cycle description.
Inclusive workspace-local start date.
Inclusive workspace-local end date.
Display order inside the board.
Total item count currently assigned to this cycle.
Open item count currently assigned to this cycle.
Cycle assignment history rows referencing this cycle.
Counts grouped by board status.
Runtime cycle counts for one board status.
object
Board status id.
Optional board status key.
Board status display name.
Board status sort order.
Total item count in the cycle/status bucket.
Open item count in the cycle/status bucket.
Open items whose target is readable by the caller.
Open items hidden from the caller.
Server-computed cycle actions for the caller.
object
Whether the cycle can be edited.
Whether the cycle can be activated.
Whether close validation can be requested.
Whether the cycle can be closed now.
Whether the cycle can be archived.
Whether the cycle can be hard-deleted.
UTC creation timestamp.
UTC modification timestamp.
UTC activation timestamp.
UTC completion timestamp.
UTC archive timestamp.
Optimistic concurrency token.
Whether the cycle can be closed now.
Total open item count blocking closure.
Open blockers readable by the caller.
Open blockers hidden from the caller.
Open blocker counts grouped by status.
Runtime cycle counts for one board status.
object
Board status id.
Optional board status key.
Board status display name.
Board status sort order.
Total item count in the cycle/status bucket.
Open item count in the cycle/status bucket.
Open items whose target is readable by the caller.
Open items hidden from the caller.
Board-level cycle warning codes.
Domain blocker codes returned by the close planner.
object
object
object
object
Example
{ "Data": { "Cycle": { "LifecycleState": 0 }, "Warnings": [ 0 ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Close validation result for one active runtime cycle.
object
Runtime cycle detail.
object
Cycle id.
Owning board id.
Cycle name.
Optional cycle description.
Inclusive workspace-local start date.
Inclusive workspace-local end date.
Display order inside the board.
Total item count currently assigned to this cycle.
Open item count currently assigned to this cycle.
Cycle assignment history rows referencing this cycle.
Counts grouped by board status.
Runtime cycle counts for one board status.
object
Board status id.
Optional board status key.
Board status display name.
Board status sort order.
Total item count in the cycle/status bucket.
Open item count in the cycle/status bucket.
Open items whose target is readable by the caller.
Open items hidden from the caller.
Server-computed cycle actions for the caller.
object
Whether the cycle can be edited.
Whether the cycle can be activated.
Whether close validation can be requested.
Whether the cycle can be closed now.
Whether the cycle can be archived.
Whether the cycle can be hard-deleted.
UTC creation timestamp.
UTC modification timestamp.
UTC activation timestamp.
UTC completion timestamp.
UTC archive timestamp.
Optimistic concurrency token.
Whether the cycle can be closed now.
Total open item count blocking closure.
Open blockers readable by the caller.
Open blockers hidden from the caller.
Open blocker counts grouped by status.
Runtime cycle counts for one board status.
object
Board status id.
Optional board status key.
Board status display name.
Board status sort order.
Total item count in the cycle/status bucket.
Open item count in the cycle/status bucket.
Open items whose target is readable by the caller.
Open items hidden from the caller.
Board-level cycle warning codes.
Domain blocker codes returned by the close planner.
object
object
object
object
Example
{ "Data": { "Cycle": { "LifecycleState": 0 }, "Warnings": [ 0 ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Close validation result for one active runtime cycle.
object
Runtime cycle detail.
object
Cycle id.
Owning board id.
Cycle name.
Optional cycle description.
Inclusive workspace-local start date.
Inclusive workspace-local end date.
Display order inside the board.
Total item count currently assigned to this cycle.
Open item count currently assigned to this cycle.
Cycle assignment history rows referencing this cycle.
Counts grouped by board status.
Runtime cycle counts for one board status.
object
Board status id.
Optional board status key.
Board status display name.
Board status sort order.
Total item count in the cycle/status bucket.
Open item count in the cycle/status bucket.
Open items whose target is readable by the caller.
Open items hidden from the caller.
Server-computed cycle actions for the caller.
object
Whether the cycle can be edited.
Whether the cycle can be activated.
Whether close validation can be requested.
Whether the cycle can be closed now.
Whether the cycle can be archived.
Whether the cycle can be hard-deleted.
UTC creation timestamp.
UTC modification timestamp.
UTC activation timestamp.
UTC completion timestamp.
UTC archive timestamp.
Optimistic concurrency token.
Whether the cycle can be closed now.
Total open item count blocking closure.
Open blockers readable by the caller.
Open blockers hidden from the caller.
Open blocker counts grouped by status.
Runtime cycle counts for one board status.
object
Board status id.
Optional board status key.
Board status display name.
Board status sort order.
Total item count in the cycle/status bucket.
Open item count in the cycle/status bucket.
Open items whose target is readable by the caller.
Open items hidden from the caller.
Board-level cycle warning codes.
Domain blocker codes returned by the close planner.
object
object
object
object
Example
{ "Data": { "Cycle": { "LifecycleState": 0 }, "Warnings": [ 0 ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}